Page MenuHomePhabricator

Remove old SpecialPageFactory
Closed, ResolvedPublic

Description

The SpecialPageFactory at https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/core/+/refs/heads/master/includes/specialpage/SpecialPageFactory_deprecated.php is hard deprecated, and should be removed in 1.36

See subtask for remaining calls to be updated

Event Timeline

DannyS712 changed the task status from Open to Stalled.Feb 25 2020, 6:29 PM
DannyS712 triaged this task as Medium priority.
DannyS712 created this task.
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.

Cannot be actioned until 1.36

DannyS712 moved this task from Next to Later on the User-DannyS712 board.Apr 13 2020, 9:13 PM
DannyS712 changed the task status from Stalled to Open.Jul 14 2020, 9:51 AM

Change 616490 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Remove hard deprecated old SpecialPageFactory

https://gerrit.wikimedia.org/r/616490

Change 616490 merged by jenkins-bot:
[mediawiki/core@master] Remove hard deprecated old SpecialPageFactory

https://gerrit.wikimedia.org/r/616490

DannyS712 closed this task as Resolved.Jul 27 2020, 7:35 PM
DannyS712 removed a project: Patch-For-Review.